/*
 * @Author: SunTao 328867980@qq.com
 * @Date: 2024-11-01 16:31:49
 * @LastEditors: SunTao 328867980@qq.com
 * @LastEditTime: 2024-11-04 17:21:17
 * @FilePath: \znxjxt-ui\src\api\xj\confirmation.js
 * @Description: 巡检信息-病害确认
 */
import request from "@/utils/request";

// 查询列表病害类型
export function getDefectList(params) {
  return request({
    // url: "/metadata/defectType",
    url: "/bigscreen/v2/getDefectTypesDrowDown",
    method: "get",
    params,
  });
}

// 路段下拉数据
export function getSegment() {
  return request({
    url: "/api/v2/segment/selectList",
    method: "post",
  });
}

// 病害状态下拉类型
export function getDefectStatus() {
  return request({
    url: "/metadata/defectState",
    method: "get",
  });
}

// 查询病害日志列表
export function listDefect(data) {
  return request({
    url: "/xj/defect/getUncheckedDefectPage",
    method: "post",
    data,
  });
}

// 是病害/不是病害
export function mergeDefect(data) {
    return request({
      url: "/xj/defect/checkDefect",
      method: "post",
      data,
    });
  }


  